curl --request POST \
--url https://service.incaseof.law/openapi/claims/{claim_id}/payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 500,
"currency": "EUR",
"payment_date": "2025-10-01",
"method": "bank_transfer"
}
'{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"claim_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"debtor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 500,
"currency": "EUR",
"payment_method": "bank_transfer",
"payment_date": "2025-10-01",
"value_date": "2023-12-25",
"reference": "<string>",
"external_reference": "<string>",
"status": "completed",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Payments
Record payment
Record a payment against a claim. The payment will automatically update the claim’s paid and outstanding amounts.
Note: The method field is mapped to payment_method internally.
POST
/
openapi
/
claims
/
{claim_id}
/
payments
curl --request POST \
--url https://service.incaseof.law/openapi/claims/{claim_id}/payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 500,
"currency": "EUR",
"payment_date": "2025-10-01",
"method": "bank_transfer"
}
'{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"claim_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"debtor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 500,
"currency": "EUR",
"payment_method": "bank_transfer",
"payment_date": "2025-10-01",
"value_date": "2023-12-25",
"reference": "<string>",
"external_reference": "<string>",
"status": "completed",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
UUID of the claim to record payment for
Body
application/json
Payment amount in EUR
Required range:
x >= 0.01Example:
500
Currency (always EUR)
Available options:
EUR Payment method. Valid values:
- bank_transfer, credit_card, debit_card, direct_debit, cash, check, paypal, sepa, card, online_payment, mobile_payment, other
Available options:
bank_transfer, credit_card, debit_card, direct_debit, cash, check, paypal, sepa, card, online_payment, mobile_payment, other Example:
"bank_transfer"
Date when payment was made (defaults to today if not provided)
Example:
"2025-10-01"
Optional notes about this payment
Example:
"First installment of payment plan"
IBAN of the account payment came from
Example:
"DE89370400440532013000"